Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1461 - NFS disconnecting and Causing Files to mix together
Summary: NFS disconnecting and Causing Files to mix together
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-09 22:23 UTC by milam
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-08 17:51:41 UTC


Attachments (Terms of Use)

Description milam 1999-03-09 22:23:42 UTC
I was using Caldera 1.1 on my server for a while and the
nfs worked just perfect.  I have put Redhat 5.2 on the
server now and replaced a bad quantum drive with a Seagate
ST118273U as the boot drive (not sure if that has anything
to do with it, but only other variable that changed than
OS).

Now NFS disconnects several times in a day, and some of the
files that are being transfered over nfs are getting
intermittantly mixed together, as well as adding other
characters.

The Message on the /var/log/messages related to the nfsd
are (for only 2 days):

Mar  8 22:39:52 lion nfsd[18476]: strange write req from
cheetah.dmc.com: count 4294967295 len 0
Mar  8 22:53:05 lion nfsd[25256]: non-standard errno: 18
(Invalid cross-device link)
Mar  8 22:54:22 lion nfsd[25256]: non-standard errno: 14
(Bad address)
Mar  8 22:54:58 lion nfsd[25256]: non-standard errno: 14
(Bad address)
Mar  8 23:00:27 lion nfsd[25256]: non-standard errno: 14
(Bad address)
Mar  8 23:05:31 lion nfsd[25256]: strange write req from
cheetah.dmc.com: count 4294967295 len 4294967295
Mar  8 23:08:10 lion nfsd[27644]: non-standard errno: 14
(Bad address)
Mar  8 23:29:13 lion nfsd[27644]: strange write req from
jaguar.dmc.com: count 8192 len 7756
Mar  8 23:29:43 lion nfsd[27644]: non-standard errno: 14
(Bad address)
Mar  8 23:30:13 lion nfsd[27644]: strange write req from
jaguar.dmc.com: count 8192 len 7756
Mar  9 09:20:26 lion nfsd[30977]: strange write req from
cheetah.dmc.com: count 4294967295 len 0
Mar  9 09:28:23 lion nfsd[17809]: non-standard errno: 14
(Bad address)
Mar  9 11:29:59 lion nfsd[17809]: strange write req from
tiggr.dmc.com: count 4294967295 len 4294967295
Mar  9 11:42:12 lion nfsd[22834]: strange write req from
tiggr.dmc.com: count 4294967295 len 4294967295
Mar  9 14:33:40 lion nfsd[22997]: strange write req from
panther.dmc.com: count 4294967295 len 4294967295
Mar  9 14:35:57 lion nfsd[23377]: strange write req from
panther.dmc.com: count 4294967295 len 4294967295
Mar  9 14:37:37 lion nfsd[23418]: non-standard errno: 14
(Bad address)
Mar  9 14:38:19 lion nfsd[23458]: non-standard errno: 14
(Bad address)
Mar  9 14:39:47 lion nfsd[23499]: non-standard errno: 14
(Bad address)
Mar  9 14:39:47 lion nfsd[23499]: non-standard errno: 14
(Bad address)
Mar  9 14:40:27 lion nfsd[23541]: non-standard errno: 14
(Bad address)
Mar  9 14:44:08 lion nfsd[23743]: non-standard errno: 14
(Bad address)
Mar  9 14:44:33 lion nfsd[23784]: non-standard errno: 14
(Bad address)
Mar  9 14:46:14 lion nfsd[23824]: non-standard errno: 14
(Bad address)

Comment 1 milam 1999-03-09 22:28:59 UTC
Using default kernel 2.0.36

Comment 2 David Lawrence 1999-04-08 17:51:59 UTC
I have not been able to duplicate this error on a test machine with a
standard install of 5.2.


Note You need to log in before you can comment on or make changes to this bug.